### Name: bodyfat
### Title: Prediction of Body Fat by Skinfold Thickness, Circumferences,
###   and Bone Breadths
### Aliases: bodyfat
### Keywords: datasets

### ** Examples


    data("bodyfat", package = "mboost")

    ### final model proposed by Garcia et al. (2005)
    fmod <- lm(DEXfat ~ hipcirc + anthro3a + kneebreadth, data = bodyfat)
    coef(fmod)  

    ### plot additive model for same variables
    amod <- gamboost(DEXfat ~ hipcirc + anthro3a + kneebreadth, 
                     data = bodyfat, baselearner = "bbs")
    layout(matrix(1:3, ncol = 3))
    plot(amod[mstop(AIC(amod, "corrected"))], ask = FALSE)




