### Name: methods
### Title: Methods for Gradient Boosting Objects
### Aliases: print.glmboost coef.glmboost coef.gamboost print.gamboost
###   AIC.gamboost AIC.glmboost predict.gb predict.blackboost mstop
###   mstop.gbAIC mstop.gb mstop.cvrisk mstop.blackboost fitted.gb
###   logLik.gb
### Keywords: methods

### ** Examples


    ### a simple two-dimensional example: cars data
    cars.gb <- glmboost(dist ~ speed, data = cars, 
                        control = boost_control(mstop = 2000))
    cars.gb

    ### initial number of boosting iterations
    mstop(cars.gb)

    ### AIC criterion
    aic <- AIC(cars.gb, method = "corrected")
    aic

    ### coefficients for optimal number of boosting iterations
    coef(cars.gb[mstop(aic)])
    plot(cars$dist, predict(cars.gb[mstop(aic)]), 
         ylim = range(cars$dist))
    abline(a = 0, b = 1)




